Subject: RE: "new" issue / Event Notification

From: <[email-masked]>
Date: Thu, 8 May 2003 08:56:38 +0300

Hi,

This is issue11 (http://danforsberg.info:8080/pana-issues/issue11) and text has been proposed. Is this text acceptable or not? Alper?

- Dan

-----Original Message-----
From: ext Yoshihiro Ohba [mailto:[email-masked]]
Sent: 23 April, 2003 09:39
To: [email-masked]
Cc: Patil Basavaraj (NET/Dallas); Forsberg Dan (NRC/Helsinki); [email-masked]
Subject: Re: "new" issue / Event Notification

Hi Yacine,

On Wed, Apr 23, 2003 at 02:50:16PM +0200, [email-masked] wrote:
> hi Basavaraj,
> 
> [email-masked] wrote:
> 
> >It helps if replacement text is suggested as well. 
> 
> 
> Bellow is the current text in the current version of the pana protocol 
> draft:
> 
>     Upon detecting the need to authenticate a client, EP can send a
>     PAC_discovery message to the PAA on behalf of the PaC. This
>     message carries a device identifier of the PaC in a Device-Id AVP.
> 
> If there is a consensus for using PAA-EP protocol here, one can replace 
> the lattest paragraph in the pana draft by a similar one stating that 
> the PAA-EP protocol will deal with this explicit message:
> 
> "Upon detecting the need to authenticate a client, EP can prompt the PAA 
> using the PAA-EP protocol. This message should carry a device identifier 
> of the PaC."

I tend to agree on the proposed text, which makes the PAA-EP protocol
more independent of the PaC-PAA protocol.  I admit that the current
design requires EPs to manufacture a specific PANA message PDU (i.e.,
PAA_discovery) in its payload while it does not speak PANA.
Specifying the required functionality instead of specifying both
functionality and message format might be sufficient for the EP-PAA
protocol to satisfy the PANA requirement.  Of course the actual 
design of the EP-PAA protocol may choose to carry PANA_discovery
message based on their design criteria.

Yoshihiro Ohba

> 
> Moreover, the PAA-EP protocol requirements in the requirements draft 
> should state clearly that the PAA-EP protocol must support 
> 'event-notification' (it's the case of most of the candidates, namely 
> SNMP, COPS, etc.).
> 
> >However it is
> >still useful to have the issue listed and discussed by WG members
> >before arriving at any consensus on the text/conclusion.
> 
> >
> >-Basavaraj
> >
> 
> 
> thanks,
> yacine
> 
> 
> >
> >>I've created a new issue (Issue11) about this. In general I 
> >>think that text replacement should be provided. But, let's 
> >>see what chairs think about this issue system..
> >>- Dan
> >>
> >>
> >>>
> >>>hi all,
> >>>
> >>>the following is about the discovery phase in the pana draft:
> >>>
> >>>   PaC may also choose to start sending packets before getting
> >>>   authenticated.  In that case, the network should detect this and
> >>>   send an unsolicited PANA_start message to PaC.  EP is the 
> >>>node that
> >>>   can detect such activity.  If EP and PAA are co-located, then an
> >>>   internal mechanism (e.g. API) between the EP module and the PAA
> >>>   module on the same host can prompt PAA to start PANA.  In 
> >>>case they
> >>>   are separate, there needs to [be] an explicit message to prompt
> >>>   PAA.
> >>>
> >>>
> >>>1/ on the one hand, the current version of the pana 
> >>>
> >>protocol quickly 
> >>
> >>>states [discovery section] that, in case of 'traffic-driven' 
> >>>authentication, the EP must send a PANA_start message to the PAA:
> >>>
> >>>   Upon detecting the need to authenticate a client, EP can send a
> >>>   PAC_discovery message to the PAA on behalf of the PaC. This
> >>>   message carries a device identifier of the PaC in a 
> >>>
> >>Device-Id AVP.
> >>
> >>>2/ on the other hand, the requirements draft [EP-PAA protocol 
> >>>section] 
> >>>states that the PAA-EP protocol should support 
> >>>event-notification also:
> >>>
> >>>   Depending on the PANA protocol design, support for either 
> >>>of the push
> >>>   model (i.e., EP initiating the PAA-EP protocol exchange 
> >>>per PaC) or
> >>>   the pull model (i.e., PAA initiating the PAA-EP protocol 
> >>>exchange per
> >>>   PaC), or both might be required.
> >>>
> >>>
> >>>--> the working group should fix this (not listed on the web 
> >>>site) issue 
> >>>also (the PANA protocol OR the PAA-EP protocol supports the 
> >>>EP-triggering)
> >>>
> >>>my personal feeling on this is that the PANA protocol should be 
> >>>restricted to PaC-PAA communication and the PAA-EP protocol 
> >>>(whichever 
> >>>you finaly choose) should take it as a requirement.
> >>>
> >>>thanks,
> >>>yacine
> >>>
> >>>
> >>>
> >>>
> >>
> >
> >
> 
> 
>

---

From: Alper Yegin <[email-masked]>
Date: Thu, 08 May 2003 15:17:33 -0700

Hi Dan,

Please see the attached e-mail for my latest response on this thread.

Here is my suggestion:

For now we can keep the EP's ability to send PANA_discover message.
We can mark it as an optional feature which can be replaced by a PAA-EP
protocol message in any deployment. That way, even if a specific PAA-EP
protocol does not know how to trigger the PAA, the deployment can rely on
this message as a substitute.

When we look at the PAA-EP protocols, if we realize that this message is not
useful, then we can drop it.

How does this sound?

Alper

On 5/7/03 10:56 PM, "[email-masked]" <[email-masked]> wrote:

> Hi,
> 
> This is issue11 (http://danforsberg.info:8080/pana-issues/issue11) and text
> has been proposed. Is this text acceptable or not? Alper?
> 
> - Dan
> 

Subject: Re: "new" issue / Event Notification
From: Alper Yegin <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 23 Apr 2003 11:08:43 -0700

>> I couldn't see an inconsistency here.
>> 
>> The requirements draft says the PAA-EP protocol should support either push
>> model, or pull model, or both depending on the PANA protocol design.
>> And the current PANA protocol design lets EP notify the PAA about
>> unauthenticated PaCs. Hence the only requirement on the PAA-EP protocol is
>> the support for the "pull model" (as defined below).
>> 
>> Does this make sense?
> 
> 
> yes, this is the current view. did the PANA WG reached a consensus on
> this subject ? I'm curious about the technical motivations of the design
> team for such a choice in the PANA protocol design.

Just like any other part of the draft, this is also subject to the WG
discussions. There was no discussion on this after the publication of the
version 00, so it is hard to say whether the WG has reached a consensus or
not. 

I can only speak for myself, as I don't remember detailed discussion on this
matter during its design. We could expect the PAA-EP protocol to provide
this notification, but I don't see why not do it in PANA, and have less
requirements on the PAA-EP protocol.

> NB: terminology question for the req-draft authors:
> 
> the PUSH model is defined as follows:
> - "EP initiating the PAA-EP protocol exchange per PaC"
> and the PULL model corresponds to:
> - "PAA initiating the PAA-EP protocol exchange per PaC"
> 
> 
> is that really what you meant ? isn't it the contrary ?
> 
> usually, the 'PULL model' better corresponds to bottom-up (EP->PAA)
> initiated communication.

Yes, I caught that too, and this is fixed in the latest version:

http://www.ietf.org/internet-drafts/draft-ietf-pana-requirements-05.txt

Alper

>>>  send an unsolicited PANA_start message to PaC.  EP is the node that
>>>  module on the same host can prompt PAA to start PANA.  In case they
>>> 1/ on the one hand, the current version of the pana protocol quickly
>>> 2/ on the other hand, the requirements draft [EP-PAA protocol section]
>>> states that the PAA-EP protocol should support event-notification also:
>>> 
>>>  Depending on the PANA protocol design, support for either of the push
>>>  model (i.e., EP initiating the PAA-EP protocol exchange per PaC) or
>>>  the pull model (i.e., PAA initiating the PAA-EP protocol exchange per
>>> --> the working group should fix this (not listed on the web site) issue
>>> also (the PANA protocol OR the PAA-EP protocol supports the EP-triggering)
>>> 
>>> restricted to PaC-PAA communication and the PAA-EP protocol (whichever